GEOS: geos::geom::Point Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::geom::Point Class Reference

Basic implementation of Point. More...

`#include <geos.h>`

Inheritance diagram for geos::geom::Point:

List of all members.

## Public Types
typedef std::vector< const Point * > | ConstVect
| A vector of const Point pointers.
## Public Member Functions
Geometry * | clone () const
| Make a deep-copy of this Geometry.
CoordinateSequence * | getCoordinates (void) const
| Returns this Geometry vertices. Caller takes ownership of the returned object.
const CoordinateSequence * | getCoordinatesRO () const
size_t | getNumPoints () const
| Returns the count of this Geometrys vertices.
bool | isEmpty () const
| Returns whether or not the set of points in this Geometry is empty.
bool | isSimple () const
| Returns false if the Geometry not simple.
Dimension::DimensionType | getDimension () const
| Returns point dimension (0).
int | getBoundaryDimension () const
| Returns Dimension::False (Point has no boundary).
Geometry * | getBoundary () const
| Returns an EMPTY Geometry.
double | getX () const
double | getY () const
const Coordinate * | getCoordinate () const
| Returns a vertex of this Geometry, or NULL if this is the empty geometry.
std::string | getGeometryType () const
| Return a string representation of this Geometry type.
virtual GeometryTypeId | getGeometryTypeId () const
| Return an integer representation of this Geometry type.
void | apply_ro (CoordinateFilter *filter) const
void | apply_rw (const CoordinateFilter *filter)
void | apply_ro (GeometryFilter *filter) const
void | apply_rw (GeometryFilter *filter)
void | apply_rw (GeometryComponentFilter *filter)
void | apply_ro (GeometryComponentFilter *filter) const
bool | equalsExact (const Geometry *other, double tolerance=0) const
| Returns true if the two Geometrys are exactly equal, up to a specified tolerance.
void | normalize (void)
| Converts this Geometry to normal form (or canonical form).
## Protected Member Functions
| Point (CoordinateSequence *newCoords, const GeometryFactory *newFactory)
| Creates a Point taking ownership of the given CoordinateSequence (must have 1 element).
| Point (const Point &p)
Envelope::AutoPtr | computeEnvelopeInternal () const
int | compareToSameClass (const Geometry *p) const
## Friends
class | GeometryFactory

## Detailed Description

Basic implementation of Point.

## Constructor & Destructor Documentation

geos::geom::Point::Point | ( | CoordinateSequence * | newCoords,
|  | const GeometryFactory * | newFactory |
| ) |  |  | `[protected]`

Creates a Point taking ownership of the given CoordinateSequence (must have 1 element).

Parameters:

  | newCoords | contains the single coordinate on which to base this `Point` or `null` to create the empty geometry.
  | newFactory | the GeometryFactory used to create this geometry

The documentation for this class was generated from the following file:

- Point.h